Package org.jbpm.services.task.commands

## Class AddContentCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<Long>
  - - org.jbpm.services.task.commands.AddContentCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<Long>`, `org.kie.api.command.ExecutableCommand<Long>`

      public class AddContentCommand
      extends TaskCommand<Long>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddContentCommand()` |
    `AddContentCommand​(Long taskId, String userId, Map<String,​Object> params)` |
    `AddContentCommand​(Long taskId, Map<String,​Object> params)` |
    `AddContentCommand​(Long taskId, org.kie.api.task.model.Content content)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Long` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `org.kie.api.task.model.Content` | `getContent()` |
    `JaxbContent` | `getJaxbContent()` |
    `void` | `setContent​(org.kie.api.task.model.Content content)` |
    `void` | `setJaxbContent​(JaxbContent jaxbContent)` |

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddContentCommand

          public AddContentCommand()

    - #### AddContentCommand

          public AddContentCommand​(Long taskId,
                                   org.kie.api.task.model.Content content)

    - #### AddContentCommand

          public AddContentCommand​(Long taskId,
                                   String userId,
                                   Map<String,​Object> params)

    - #### AddContentCommand

          public AddContentCommand​(Long taskId,
                                   Map<String,​Object> params)

  - ### Method Detail

    - #### execute

          public Long execute​(org.kie.api.runtime.Context cntxt)

    - #### getContent

          public org.kie.api.task.model.Content getContent()

    - #### setContent

          public void setContent​(org.kie.api.task.model.Content content)

    - #### getJaxbContent

          public JaxbContent getJaxbContent()

    - #### setJaxbContent

          public void setJaxbContent​(JaxbContent jaxbContent)